Bug 804757 - ovirt-engine-core : Cannot Import VM from export domain
ovirt-engine-core : Cannot Import VM from export domain
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.1
Assigned To: Yair Zaslavsky
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 14:30 EDT by Oded Ramraz
Modified: 2015-03-04 19:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:00:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine logs (234.93 KB, application/zip)
2012-03-19 14:35 EDT, Oded Ramraz
no flags Details

  None (edit)
Description Oded Ramraz 2012-03-19 14:30:57 EDT
Description of problem:

When I try to import VM , after exporting it ( and its template ) to my export domain I get an error message: "Cannot import VM. The selected Storage Domain does not contain the VM Template."
After initial investigation by rgolan@redhat.com :  "there is probably a bug in create template - its disks where not created in vm device" 
Attached engine logs . 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

 
2012-03-18 23:58:46,055 - ImportExport.xml-1 - vms - DEBUG - Action request content is --  url:http://localhost:8080/api/storagedomains/b75bacb5-18ca-4255-8dc0-2ccb942ce86a/vms/de452d1a-35fd-4e98-9c2a-4feb1791fb99/import body:<action><async>false</async><grace_period><expiry>10</expiry><absolute>false</absolute></grace_period><storage_domain><name>nfsStorageTest_data_domain0</name></storage_domain><cluster><name>nfsStorageTest</name></cluster></action> 
2012-03-18 23:58:46,358 - ImportExport.xml-1 - vms - DEBUG - Response body for action request is: <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<action>
    <async>false</async>
    <grace_period>
        <expiry>10</expiry>
    </grace_period>
    <storage_domain>
        <name>nfsStorageTest_data_domain0</name>
    </storage_domain>
    <cluster>
        <name>nfsStorageTest</name>
    </cluster>
    <status>
        <state>failed</state>
    </status>
    <fault>
        <reason>Operation Failed</reason>
        <detail>[Cannot import VM. The selected Storage Domain does not contain the VM Template.]</detail>
    </fault>
</action>
 

## template in export domain 

http://jenkins-automation-f16-vm05.eng.lab.tlv:8080/api/storagedomains/38663984-83b6-4c1f-8b2d-40bea69f6553/templates/b215ff11-b14f-4e55-ad98-7b038045a60e

<template href="/api/storagedomains/38663984-83b6-4c1f-8b2d-40bea69f6553/templates/b215ff11-b14f-4e55-ad98-7b038045a60e" id="b215ff11-b14f-4e55-ad98-7b038045a60e"><name>iscsiTestTempl</name><description/><actions><link href="/api/storagedomains/38663984-83b6-4c1f-8b2d-40bea69f6553/templates/b215ff11-b14f-4e55-ad98-7b038045a60e/import" rel="import"/></actions><type>server</type><status><state>ok</state></status><memory>1073741824</memory><cpu><topology sockets="1" cores="1"/></cpu><os type="rhel_5x64"><boot dev="hd"/></os><storage_domain href="/api/storagedomains/38663984-83b6-4c1f-8b2d-40bea69f6553" id="38663984-83b6-4c1f-8b2d-40bea69f6553"/><creation_time>2012-03-19T15:31:06.000+02:00</creation_time><high_availability><enabled>false</enabled><priority>0</priority></high_availability><display><type>vnc</type><monitors>0</monitors></display><stateless>false</stateless><usb><enabled>true</enabled></usb></template>


## template in destination domain 

http://jenkins-automation-f16-vm05.eng.lab.tlv:8080/api/templates
<template href="/api/templates/b215ff11-b14f-4e55-ad98-7b038045a60e" id="b215ff11-b14f-4e55-ad98-7b038045a60e"><name>iscsiTestTempl</name><description/><actions><link href="/api/templates/b215ff11-b14f-4e55-ad98-7b038045a60e/export" rel="export"/></actions><link href="/api/templates/b215ff11-b14f-4e55-ad98-7b038045a60e/disks" rel="disks"/><link href="/api/templates/b215ff11-b14f-4e55-ad98-7b038045a60e/nics" rel="nics"/><link href="/api/templates/b215ff11-b14f-4e55-ad98-7b038045a60e/cdroms" rel="cdroms"/><link href="/api/templates/b215ff11-b14f-4e55-ad98-7b038045a60e/permissions" rel="permissions"/><type>server</type><status><state>ok</state></status><memory>1073741824</memory><cpu><topology sockets="1" cores="1"/></cpu><os type="rhel_5x64"><boot dev="hd"/></os><cluster href="/api/clusters/b9ee53f2-71c6-11e1-b8cd-001a4a231265" id="b9ee53f2-71c6-11e1-b8cd-001a4a231265"/><creation_time>2012-03-19T15:31:06.000+02:00</creation_time><origin>rhev</origin><high_availability><enabled>false</enabled><priority>0</priority></high_availability><display><type>vnc</type><monitors>0</monitors></display><stateless>false</stateless><usb><enabled>true</enabled></usb></template>
Comment 1 Oded Ramraz 2012-03-19 14:35:19 EDT
Created attachment 571203 [details]
engine logs
Comment 3 Itamar Heim 2012-08-09 04:00:02 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.